Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155943 - /proc/$$/auxv has zero size
Summary: /proc/$$/auxv has zero size
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ingo Molnar
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 116894
TreeView+ depends on / blocked
 
Reported: 2005-04-25 22:24 UTC by Andrew Cagney
Modified: 2012-06-20 16:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 16:00:56 UTC


Attachments (Terms of Use)

Description Andrew Cagney 2005-04-25 22:24:08 UTC
Description of problem:

/proc's per-process AUXV has a finite size (the size doesn't change during the
lifetime of the process) yet

$ ls -l /proc/$$/auxv
-r--------  1 cagney cagney 0 Apr 25 18:14 /proc/12877/auxv
$ file /proc/$$/auxv
/proc/12877/auxv: empty
$ wc -c !$
wc -c /proc/$$/auxv
0 /proc/12877/auxv
$ cat /proc/$$/auxv | wc -c
128

Version-Release number of selected component (if applicable):

RHEL-4 FC-4

How reproducible:

100%

Expected results:

$ ls -l /proc/$$/auxv
-r--------   1 cagney   cagney       152 Apr 25 15:09 /proc/23038/auxv
$ wc -c /proc/$$/auxv
     152 /proc/23038/auxv

Comment 1 Ingo Molnar 2005-09-15 22:37:35 UTC
/proc files are special and rarely match their true size. Check out 'ls -l
/proc'. Does this issue have any practical relevance?

Comment 3 Jiri Pallich 2012-06-20 16:00:56 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.